---
title: "ProgramMemory"
excerpt: ""
layout: manual
---


**Type:** `object`





## Properties

| Property | Type | Description | Required |
|----------|------|-------------|----------|
| `environments` |`[` [`Environment`](/docs/kcl/types/Environment) `]`|  | No |
| `currentEnv` |`integer`|  | No |


